
import java.util.*;

import org.hibernate.*;
import org.hibernate.criterion.*;

public class Main {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table EVENTS ( uid int, name VARCHAR, start_Date date, duration int);");
		
		// hibernate code start


        SimpleEventDao eventDao = new SimpleEventDao();
        Event event = new Event();
        event.setName("Create an Event");
        eventDao.create(event);
        
        
        


        Event event2 = null;
		Session session = HibernateUtil.currentSession();
		Transaction tx = session.beginTransaction();

        event2 = (Event) session.load(Event.class, event.getId());
        System.out.println(event.getName());
        System.out.println(event2.getName());
        tx.commit();
		HibernateUtil.closeSession();
		HibernateUtil.sessionFactory.close();
        HibernateUtil.checkData("select uid, name from events");        
		// hibernate code end
	}
	
}